Bug 222210 - bug-buddy drops core after 20070110 updates
bug-buddy drops core after 20070110 updates
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bug-buddy (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-10 16:49 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-06 16:55:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-01-10 16:49:28 EST
Description of problem:

The latest series of updates makes gnome-terminal to crash, which
invokes bug-buddy and the later just drops a core (after showing
another crash info).  Looking at this core with gdb produces the
following:

Core was generated by `/usr/bin/bug-buddy --appname=gnome-terminal --pid=5872
--package-ver=(null)'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003660675430 in strlen () from /lib64/libc.so.6
(gdb) where
#0  0x0000003660675430 in strlen () from /lib64/libc.so.6
#1  0x0000003261a2a381 in giop_send_buffer_append_string ()
   from /usr/lib64/libORBit-2.so.0
#2  0x0000003261a36b4c in ORBit_marshal_value ()
   from /usr/lib64/libORBit-2.so.0
#3  0x0000003261a3689d in ORBit_marshal_value ()
   from /usr/lib64/libORBit-2.so.0
#4  0x0000003261a36c98 in ORBit_marshal_any () from /usr/lib64/libORBit-2.so.0
#5  0x0000003261a369d5 in ORBit_marshal_value ()
   from /usr/lib64/libORBit-2.so.0
#6  0x0000003261a3689d in ORBit_marshal_value ()
   from /usr/lib64/libORBit-2.so.0
#7  0x0000003261a2ed01 in ORBit_small_allocbuf ()
   from /usr/lib64/libORBit-2.so.0
#8  0x0000003261a2f08d in ORBit_small_invoke_stub ()
   from /usr/lib64/libORBit-2.so.0
#9  0x000000396cc290cc in Accessibility_EventListener_notifyEvent ()
   from /usr/lib64/libspi.so.0
#10 0x00002aaaad80c4b0 in g_free ()
   from /usr/lib64/gtk-2.0/modules/libatk-bridge.so
#11 0x00002aaaad80c7c9 in g_free ()
   from /usr/lib64/gtk-2.0/modules/libatk-bridge.so
#12 0x0000003660632e05 in exit () from /lib64/libc.so.6
#13 0x000000366061d92b in __libc_start_main () from /lib64/libc.so.6
#14 0x0000000000405ca9 in _start ()
(gdb)

Moreover in ~/.xsession-errors one can find:

(bug-buddy:5875): Pango-WARNING **:
/usr/lib64/pango/1.6.0/modules/pango-basic-fc.so: cannot open shared object
file: No such file or directory

Indeed; there is no such file or directory.  There are eight script
specific "pango-*-fc.so" files, from "arabic" to "tibetan", but only
pango-basic-x.so.  pango-1.15.3-2.fc7 was one of packages which was
included in the update in question.  Still dropping a core does not
look like a correct response but maybe this is really ORBit which is
messed up?

Version-Release number of selected component (if applicable):
bug-buddy-2.17.3-1.fc7

How reproducible:
always
Comment 1 Ray Strode [halfline] 2007-03-06 13:43:05 EST
Are you still seeing this problem, or was it just temporary rawhide bustage?
Comment 2 Michal Jaegermann 2007-03-06 16:55:34 EST
Nothing in recent times asked for bug-buddy services by itself.
OTOH running it that way:

 bug-buddy --appname=gnome-terminal --pid=$(pidof gnome-terminal)

is not causing segfault.  At least not right away. :-)

I guess that this can be closed.

Note You need to log in before you can comment on or make changes to this bug.